Doomsday Engine - Feature #1584

[Deathkings] Option for monster respawn rate
2013-09-03 14:53 - tarabs

Status: Closed Start date: 2013-09-03
Priority: Low % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 23

Description

Hexen: Deathkings of the Dark Citadel respawns monsters in single player mode in a constant manner (excessive monster
respawning), which can get disturbing at times when you are severely exploring an area in search for a quest task (and start running
out of ammo/health).

If possible please add an console command (available in the game options menu as well?) that allows to control the monster
respawning rate (or desable), where the rate should range from none to somewhere above the default respawn time, to add an
optional challenge for hardcore gamers as well.

Related issues:

Related to Feature #1604: Game rules (1p and MP) New
Related to Feature #1452: [Hexen] Monster respawn rate Rejected 2007-08-27
Copied to Feature #2377: [Hexen] Option for monster respawn rate New 2013-09-03

Associated revisions

Revision c7388849 - 2019-12-23 14:49 - skyjake

Hexen|Deathkings: Cvar for controlling monster respawn rate
Added cvar "game-deathkings-respawn-chance".

IssuelD #1584

History

#1 - 2013-10-03 23:32 - danij

- Milestone: Next Release --> Eventually

#2 - 2013-10-18 20:37 - skyjake

- Tags set to Hexen

- Subject changed from Hexen: Deathkings of the Dark Citadel - monster respawn rate to [Deathkings] Option for monster respawn rate
- Category set to Enhancement

- Priority changed from Normal to Low

#3 - 2015-05-15 14:26 - skyjake

- Tags changed from Hexen to Hexen, Deathkings

#4 - 2016-08-09 11:05 - skyjake
- Tags changed from Hexen, Deathkings to Hexen, Deathkings, Gameplay

#5 - 2019-11-29 15:50 - skyjake

- Status changed from New to Rejected

#6 - 2019-12-23 08:53 - skyjake
- Description updated

The respawning is being done via ACS (script 255):
https://www.doomworld.com/forum/topic/92230-so-who-has-a-patch-that-removes-monster-spawning-in-deathkings/
https://www.doomworld.com/forum/topic/92230-so-who-has-a-patch-that-removes-monster-spawning-in-deathkings/

#7 - 2019-12-23 14:48 - skyjake

- Status changed from Rejected to Resolved
- Assignee set to skyjake

- Target version set to 2.3

- % Done changed from 0 to 100

Implemented as a cvar for 2.3: game-deathkings-respawn-chance, defaults to 100 (%).

#8 - 2019-12-24 06:35 - skyjake

- Copied to Feature #2377: [Hexen] Option for monster respawn rate added

#9 - 2020-12-08 08:27 - skyjake

- Status changed from Resolved to Closed
